import 'package:flutter/material.dart';

import './pages/colors.example.dart';
import './pages/radius.example.dart';
import './pages/spacing.example.dart';
import './pages/typographies.example.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: Scaffold(
        body: SafeArea(
          child: PageView(
            children: const [
              ColorsExample(),
              RadiusExample(),
              SpacingExample(),
              TypographyExample(),
            ],
          ),
        ),
      ),
    );
  }
}
