import 'package:flutter/material.dart';

// ignore: depend_on_referenced_packages
import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../widgets/page_wrapper.dart';
import '../widgets/panel.dart';

class RadiusExample extends StatelessWidget {
  const RadiusExample({Key? key}) : super(key: key);

  Widget _buildContainer(double radius) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(radius),
        border: Border.all(
          color: SeniorColors.pureBlack,
          width: 1.0,
        ),
      ),
      height: 50.0,
      width: 50.0,
    );
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Radius',
      child: Padding(
        padding: const EdgeInsets.all(SeniorSpacing.normal),
        child: SingleChildScrollView(
          child: Column(
            children: [
              Panel(
                title: 'xxsmall - 1',
                child: _buildContainer(SeniorRadius.xxsmall),
              ),
              Panel(
                title: 'xsmall - 2',
                child: _buildContainer(SeniorRadius.xsmall),
              ),
              Panel(
                title: 'small - 3',
                child: _buildContainer(SeniorRadius.small),
              ),
              Panel(
                title: 'medium - 4',
                child: _buildContainer(SeniorRadius.medium),
              ),
              Panel(
                title: 'xbig - 6',
                child: _buildContainer(SeniorRadius.xbig),
              ),
              Panel(
                title: 'xxbig - 10',
                child: _buildContainer(SeniorRadius.xxbig),
              ),
              Panel(
                title: 'huge - 15',
                child: _buildContainer(SeniorRadius.huge),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
