import 'package:flutter/material.dart';

// ignore: depend_on_referenced_packages
import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../widgets/page_wrapper.dart';
import '../widgets/panel.dart';

class SpacingExample extends StatelessWidget {
  const SpacingExample({Key? key}) : super(key: key);

  Widget _buildContainer(double size) {
    final Widget box = Container(
      decoration: BoxDecoration(
        border: Border.all(
          color: SeniorColors.pureBlack,
          width: 1.0,
        ),
      ),
      height: 50.0,
      width: 50.0,
    );

    return Row(
      children: [
        box,
        SizedBox(width: size),
        box,
      ],
    );
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Spacing',
      child: Padding(
        padding: const EdgeInsets.all(SeniorSpacing.normal),
        child: SingleChildScrollView(
          child: Column(
            children: [
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xxxsmall),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xxsmall),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xsmall),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.small),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.normal),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.medium),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xmedium),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.big),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xbig),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xxbig),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.huge),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xhuge),
              ),
              Panel(
                title: 'xxxsmall',
                child: _buildContainer(SeniorSpacing.xxhuge),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
