import 'package:flutter/material.dart';

// ignore: depend_on_referenced_packages
import 'package:senior_design_tokens/senior_design_tokens.dart';

class PageWrapper extends StatelessWidget {
  final String title;
  final Widget child;

  const PageWrapper({
    Key? key,
    required this.title,
    required this.child,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(SeniorSpacing.normal),
      child: Center(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            Container(
              padding: const EdgeInsets.all(SeniorSpacing.normal),
              decoration: BoxDecoration(
                borderRadius:
                    const BorderRadius.all(Radius.circular(SeniorRadius.huge)),
                color: SeniorColors.secondaryColor[800],
              ),
              child: Center(
                child: Text(
                  title,
                  style: SeniorTypography.title(color: SeniorColors.pureWhite),
                ),
              ),
            ),
            Flexible(
              child: child,
            ),
          ],
        ),
      ),
    );
  }
}
