import 'package:flutter/material.dart';

// ignore: depend_on_referenced_packages
import 'package:senior_design_tokens/senior_design_tokens.dart';

class Panel extends StatelessWidget {
  final String title;
  final Widget child;

  const Panel({
    Key? key,
    required this.title,
    required this.child,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(bottom: SeniorSpacing.small),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Padding(
            padding: const EdgeInsets.symmetric(vertical: SeniorSpacing.xsmall),
            child: Text(
              title,
              style: SeniorTypography.text(
                color: SeniorColors.neutralColor[700],
              ),
            ),
          ),
          child,
        ],
      ),
    );
  }
}
